#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k,i,a,br=0;
    scanf("%d %d",&n,&k);
    int niz[2*n+1],niz2[2*n];
    for(i=0;i<2*n+1;i++)
    {
        niz[i]=0;
    }
    for(i=0;i<n;i++)
    {
        scanf("%d",&a);
        niz[n+a]++;
        if(niz[n+a]==k)
        {
            niz2[br]=a;
            br++;
        }
    }
    printf("%d \n",br);
    for(i=0;i<br;i++)
    {
        printf("%d ",niz2[i]);
    }
}